> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fact0.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get span detail with events



## OpenAPI

````yaml /openapi/telemetry.v1.yaml get /api/v1/spans/{spanID}
openapi: 3.1.0
info:
  title: Fact0 Execution Telemetry API
  version: 1.0.0
  description: >
    Execution tracing API for AI agent observability - executions, spans,
    events, DAG, and replay.


    **Auth:** `f0_live_*` API keys (same as the audit log on Fact0 Cloud).
servers:
  - url: https://api.fact0.io
    description: Fact0 Cloud
security: []
tags:
  - name: Ingest
  - name: Query
  - name: Replay
paths:
  /api/v1/spans/{spanID}:
    get:
      tags:
        - Query
      summary: Get span detail with events
      operationId: getSpan
      parameters:
        - name: spanID
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Span and events
          content:
            application/json:
              schema:
                type: object
                properties:
                  span:
                    $ref: '#/components/schemas/Span'
                  events:
                    type: array
                    items:
                      $ref: '#/components/schemas/ExecutionEvent'
components:
  schemas:
    Span:
      type: object
      properties:
        id:
          type: string
        execution_id:
          type: string
        parent_span_id:
          type: string
        caused_by_span_ids:
          type: array
          items:
            type: string
        span_type:
          type: string
          enum:
            - TOOL_CALL
            - MODEL_INVOCATION
            - STATE_MUTATION
            - HUMAN_APPROVAL
            - POLICY_EVALUATION
            - CUSTOM
        name:
          type: string
        status:
          type: string
          enum:
            - RUNNING
            - COMPLETED
            - FAILED
            - CANCELLED
        started_at:
          type: string
          format: date-time
        ended_at:
          type: string
          format: date-time
        metadata:
          type: object
          additionalProperties:
            type: string
    ExecutionEvent:
      type: object
      properties:
        id:
          type: string
        execution_id:
          type: string
        span_id:
          type: string
        sequence_number:
          type: integer
          format: int64
        event_type:
          type: string
        timestamp:
          type: string
          format: date-time
        payload:
          type: object
          additionalProperties: true

````